Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 405521 - app-misc/dnetc uses deprecated variables in init.d script
Summary: app-misc/dnetc uses deprecated variables in init.d script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2012-02-24 08:56 UTC by Agostino Sarubbo
Modified: 2019-09-14 23:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dnetc init.d script update (dnetc.initd.patch,2.29 KB, patch)
2014-04-28 12:11 UTC, Andrey Hippo
Details | Diff
dnetc init.d script update v2 (dnetc.initd.patch,2.30 KB, patch)
2014-04-28 13:04 UTC, Andrey Hippo
Details | Diff
dnetc.init (dnetc,1.61 KB, text/plain)
2017-08-12 19:13 UTC, Michael Orlitzky
Details
dnetc.init (dnetc,1.58 KB, text/plain)
2017-08-13 19:15 UTC, Michael Orlitzky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-02-24 08:56:07 UTC
dnetc              | * Use of the opts variable is deprecated and will be
dnetc              | * removed in the future.
dnetc              | * Please use extra_commands, extra_started_commands or extra_stopped_commands.
Comment 1 Andrey Hippo 2014-04-28 12:11:50 UTC
Created attachment 375936 [details, diff]
dnetc init.d script update

The first hunk of the patch replaces opts with extra_commands and extra_started_commands.
It also adds short descriptions for the commands and for the script itself.

The second hunk replaces deprecated --chuid option with an equivalent --user option.

Other changes are not related to this bug and mostly fixes start-stop-daemon unable to stop and/or signal dnetc processes:
 * Stopping distributed.net client ...
 * start-stop-daemon: no matching processes found            [ ok ]

Instead, rely on dnetc builtin process management.
Comment 2 Andrey Hippo 2014-04-28 13:04:07 UTC
Created attachment 375948 [details, diff]
dnetc init.d script update v2

This is a slightly updated attachment 375936 [details, diff].
It contains one more change in the second hunk (--name option) to prevent openrc from reporting dnetc as crashed.
Comment 3 Michael Orlitzky gentoo-dev 2017-08-12 19:13:42 UTC
Created attachment 488706 [details]
dnetc.init

I took my own shot at this. Since BUFFER_BASE_DIR is defined in the conf.d file that we ship, there's no need to worry about it being empty. And by switching to -noquiet and letting OpenRC manage the PID file, I was able to get rid of the start/stop functions entirely.
Comment 4 Michael Orlitzky gentoo-dev 2017-08-13 19:15:28 UTC
Created attachment 488830 [details]
dnetc.init

Oops, command_args_foreground is actually a no-op. This moves -noquiet into command_args.
Comment 5 Larry the Git Cow gentoo-dev 2019-09-14 23:30:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=446f997c23defe312ab8e5b386dcef06e01a29f1

commit 446f997c23defe312ab8e5b386dcef06e01a29f1
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-09-14 23:28:34 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-09-14 23:29:59 +0000

    app-misc/dnetc: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/405521
    Closes: https://bugs.gentoo.org/691946
    Bug: https://bugs.gentoo.org/630808
    Closes: https://bugs.gentoo.org/691252
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 app-misc/dnetc/Manifest                |   6 --
 app-misc/dnetc/dnetc-2.9108.517.ebuild |  93 ------------------------------
 app-misc/dnetc/dnetc-2.9112.521.ebuild | 100 ---------------------------------
 app-misc/dnetc/files/dnetc.confd       |  18 ------
 app-misc/dnetc/files/dnetc.initd       |  88 -----------------------------
 app-misc/dnetc/metadata.xml            |  11 ----
 6 files changed, 316 deletions(-)